
--empezando por el fix order, borro los que no tienen option Id, son los unicos que alguna vez se entregaron
--revisar los que tienen golden founder, diamond founder etc

--luego de eso genero los shipments, usar el estado de la orden para despues que sea mas facil


--STOCK SERVICE
--bis_store_items -- stock total del producto
--bis_store_items_options --stock total por opcion
--bis_store_items_options_stock --stock cantidad por opcion y por pais




--//TODO fix a lot of users with wrong cuotas
--select payer_email from bis_orders where item_id in (82,83,84,85,86,87,88) and message is null and deleted = 0;+++++++++++++++++
alter table bis_store_items drop column reference;--we don use it

--clean up shipments
delete i from bis_shipment_items i where i.shipment_id in (select s.id from bis_shipments s where s.shipment_number like 'S%');
delete s from bis_shipments s where s.shipment_number like 'S%';

update bis_orders set shipping_status = 'created' where billing_country in ('CO','PE','EC');

#update bis_shipments set status = 'sended' where shipment_number in ('S0275','S0395','S0433','S0474','S0525','S01276','S01321','S01360','S01384','S01475','S02226','S02236','S02246','S02297','S02304','S02325','S02336','S02338','S02351','S02353','S02420','S02727','S02736','S02755','S02761','S02793','S02797','S02809','S02810','S02813','S04382','S04391','S04404','S04493','S04653','S04656','S04658','S04670','S04678','S04686','S04687','S04714','S04718','S04720','S04736','S04738','S04744','S04750','S04753','S04759','S04763','S04776','S04778','S04784','S04788','S04803','S04811','S04816','S04819','S04829','S04831','S04834','S04838','S04841','S04847','S04856','S04857','S04859','S05689','S05712','S05727','S05740','S05742','S05751','S05757','S05765','S05768','S05772','S05776','S05780','S05833','S05845','S05856','S05926','S05963','S05973','S05992','S06057','S06107','S06114','S06116','S06133','S06136','S06150','S06505','S06521','S06547','S06553','S06681','S06711','S06720','S06756','S06860','S06911','S06937','S06969','S06977','S06994','S07022','S07048','S07066','S07067','S07072','S07111','S07112','S07113','S07114','S07116','S07117','S07120','S07125','S07126','S07127','S07131','S07132','S07155','S07186','S07204','S07207','S07250','S07258','S07284','S07305','S07329','S07350','S07375','S07381','S07426','S07427','S07433','S07437','S07459','S07496','S07532','S07533','S07540','S07564','S07638','S07726','S07727','S07751','S07800','S07866','S07879','S07931','S07934','S07967','S08052','S08060','S08098','S08110','S08147','S08157','S08173','S08298','S08309','S08360','S08363','S08408','S08466','S08498','S08546','S08554','S08557','S08580','S08584','S08598','S08626','S08627','S08653','S08662','S08663','S08666','S08699','S08705','S08766','S08818','S08850','S08871','S08875','S08898','S08921','S08933','S08936','S08960','S08962','S08995','S09018','S09036','S09075','S09089','S09094','S09104','S09118','S09127','S09152','S09153','S09157','S09159','S09163','S09171','S09177','S09183','S09192','S09194','S09203','S09208','S09308','S09312','S09313','S09314','S09323','S09394','S09413','S09416','S09417','S09431','S09433','S09435','S09446','S09478','S09491','S09493','S09501','S09538','S09682','S09715','S09782','S09876','S09881','S09917','S09938','S09944','S09947','S09948','S09955','S09958','S09964','S09965','S010323','S010388','S010451','S010456','S010522','S010525','S010526','S010532','S010542','S010616','S010627','S010695','S010696','S010770','S010813','S010990','S010992','S011043','S011045','S011057','S011075','S011144','S011152','S011217','S011399','S011629','S011644','S011728','S011762','S011824','S011875','S011905','S012041','S012129','S012221','S012226','S012270','S012342','S012354','S012369','S012383','S012385','S012407','S012411','S012467','S012470','S012471','S012472','S012490','S012543','S012544','S012546','S012553','S012585','S012647','S012727','S012735','S012748','S012750','S012778','S012823','S012889','S012890','S012906','S012909','S012910','S012916','S013079','S013091','S013202','S013263','S013335','S013384','S013449','S013451','S013533','S013641','S014054','S014812','S014906','S015003','S015009','S015344','S015525','S015652','S015659','S015692','S015790','S015838','S015859','S015860','S016141','S016143','S016284','S016355','S016359','S016432','S016464','S016558','S017273','S017598');
#update bis_shipments set status_text = 'envio manual por csv' where shipment_number in ('S0275','S0395','S0433','S0474','S0525','S01276','S01321','S01360','S01384','S01475','S02226','S02236','S02246','S02297','S02304','S02325','S02336','S02338','S02351','S02353','S02420','S02727','S02736','S02755','S02761','S02793','S02797','S02809','S02810','S02813','S04382','S04391','S04404','S04493','S04653','S04656','S04658','S04670','S04678','S04686','S04687','S04714','S04718','S04720','S04736','S04738','S04744','S04750','S04753','S04759','S04763','S04776','S04778','S04784','S04788','S04803','S04811','S04816','S04819','S04829','S04831','S04834','S04838','S04841','S04847','S04856','S04857','S04859','S05689','S05712','S05727','S05740','S05742','S05751','S05757','S05765','S05768','S05772','S05776','S05780','S05833','S05845','S05856','S05926','S05963','S05973','S05992','S06057','S06107','S06114','S06116','S06133','S06136','S06150','S06505','S06521','S06547','S06553','S06681','S06711','S06720','S06756','S06860','S06911','S06937','S06969','S06977','S06994','S07022','S07048','S07066','S07067','S07072','S07111','S07112','S07113','S07114','S07116','S07117','S07120','S07125','S07126','S07127','S07131','S07132','S07155','S07186','S07204','S07207','S07250','S07258','S07284','S07305','S07329','S07350','S07375','S07381','S07426','S07427','S07433','S07437','S07459','S07496','S07532','S07533','S07540','S07564','S07638','S07726','S07727','S07751','S07800','S07866','S07879','S07931','S07934','S07967','S08052','S08060','S08098','S08110','S08147','S08157','S08173','S08298','S08309','S08360','S08363','S08408','S08466','S08498','S08546','S08554','S08557','S08580','S08584','S08598','S08626','S08627','S08653','S08662','S08663','S08666','S08699','S08705','S08766','S08818','S08850','S08871','S08875','S08898','S08921','S08933','S08936','S08960','S08962','S08995','S09018','S09036','S09075','S09089','S09094','S09104','S09118','S09127','S09152','S09153','S09157','S09159','S09163','S09171','S09177','S09183','S09192','S09194','S09203','S09208','S09308','S09312','S09313','S09314','S09323','S09394','S09413','S09416','S09417','S09431','S09433','S09435','S09446','S09478','S09491','S09493','S09501','S09538','S09682','S09715','S09782','S09876','S09881','S09917','S09938','S09944','S09947','S09948','S09955','S09958','S09964','S09965','S010323','S010388','S010451','S010456','S010522','S010525','S010526','S010532','S010542','S010616','S010627','S010695','S010696','S010770','S010813','S010990','S010992','S011043','S011045','S011057','S011075','S011144','S011152','S011217','S011399','S011629','S011644','S011728','S011762','S011824','S011875','S011905','S012041','S012129','S012221','S012226','S012270','S012342','S012354','S012369','S012383','S012385','S012407','S012411','S012467','S012470','S012471','S012472','S012490','S012543','S012544','S012546','S012553','S012585','S012647','S012727','S012735','S012748','S012750','S012778','S012823','S012889','S012890','S012906','S012909','S012910','S012916','S013079','S013091','S013202','S013263','S013335','S013384','S013449','S013451','S013533','S013641','S014054','S014812','S014906','S015003','S015009','S015344','S015525','S015652','S015659','S015692','S015790','S015838','S015859','S015860','S016141','S016143','S016284','S016355','S016359','S016432','S016464','S016558','S017273','S017598');


delete from bis_shipment_items
inner join bis_shipments on bis_shipments.id = bis_shipment_items.shipment_id
where bis_shipments.shipment_number like 'S%';

delete from bis_shipment_items where (select s.id from bis_shipments as s where s.id = bis_shipment_items.shipment_id) is null;


--//----------------------------------------------------------------------

store_item_properties
id
store_item_id
property_name
property_value

store_item_attributes --seleccionables por el usuario es el que va en order item, ya existe tabla llamada bis_store_item_options
`name` varchar(100) NOT NULL COMMENT 'nombre para mostrar en el formulario, texto de no mas de 100 caracteres',
`type` varchar(100) NOT NULL COMMENT 'tipo, puede ser string,list,int boolean, etc',
`enum_value` varchar(250) DEFAULT NULL COMMENT 'si es tipo lista, una lista separadas por comas',
`default_value` varchar(250) DEFAULT NULL COMMENT 'valor por defecto si el usuario no selecciona ninguno',
`mandatory` tinyint(1) NOT NULL DEFAULT 0 COMMENT 'si el campo es obligatorio',

store_item_pictures
id
store_item_id
path

store_item_codes
id
code_type //one, multiple
store_item_id
item_code
creation_date
redeemed
redeemed_date

store_item_details
//ver si vale la pena
//es bueno para control de stock


